## org.biojava.utils
Interface ParseErrorListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  EmblLikeFormat, FastaFormat, GenbankFormat, GenbankXmlFormat, GenpeptFormat, PhredFormat, StreamReader

    public interface ParseErrorListener

extends EventListener

Listener for a ParseErrorEvent. A ParseErrorEvent signals a problem parsing a file.

Author:
  Greg Cox
See Also:
  `ParseErrorEvent`

Method Summary
`void` `BadLineParsed(ParseErrorEvent theEvent)` Method called when the parser encounters a bad line.

Method Detail

### BadLineParsed

    void BadLineParsed(ParseErrorEvent theEvent)

  Method called when the parser encounters a bad line.

  Parameters:
    `theEvent` - The event that contains the line and token.